%global goipath github.com/go-mail/mail
Version:        2.3.1

%gometa

%global v2_goipath     gopkg.in/mail.v2

%global v2_goipath_name %gorpmname %{v2_goipath}

Name:           %{goname}-v2
Release:        1%{?dist}
Summary:        Gomail is a simple and efficient package to send emails
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

# /etc/mime.types needed by tests for the Content-Type headers
BuildRequires:  mailcap


%description
%{summary}.


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}.

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.

%package -n %{v2_goipath_name}-devel
Summary:       %{summary}
BuildArch:     noarch

%description -n %{v2_goipath_name}-devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{v2_goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall
%goinstall -i %{v2_goipath} -o v2-devel.file-list


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE

%files -n %{v2_goipath_name}-devel -f v2-devel.file-list
%license LICENSE
%doc README.md


%changelog
* Tue Mar 26 2019 Mark Goodwin <mgoodwin@redhat.com> - 2.3.1-1
- First package for Fedora
